#ifndef _MYSQL_SQL_EDITOR_BE_H_
#define _MYSQL_SQL_EDITOR_BE_H_


#include "db_mysql_sqlide_public_interface.h"
#include "sqlide/sql_editor_be.h"
#include <boost/function.hpp>

class DB_MYSQL_SQLIDE_PUBLIC_FUNC Mysql_sql_editor : public Sql_editor
{
public:
  Mysql_sql_editor(db_mgmt_RdbmsRef rdbms);
  virtual ~Mysql_sql_editor();

  virtual const char *get_keywords(KeywordList list= General_Keywords) const;
  virtual const char *get_function_names() const;

  virtual void setup_scintilla_editor(boost::function<long (int, long, long)> send_editor);
};


#endif /* _MYSQL_SQL_EDITOR_BE_H_ */
